Skip to content

Clean tracked demo data created by one Blueprint seed set.

POST
/api/workspace/admin/blueprints/applications/{applicationId}/demo-data/{seedSetId}/cleanup
curl --request POST \
--url https://example.com/api/workspace/admin/blueprints/applications/example/demo-data/example/cleanup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "Confirm": true }'
applicationId
required
string
seedSetId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Request payload for cleaning tracked Blueprint demo data.

object
Confirm
boolean
Examplegenerated
{
"Confirm": true
}

OK

Media typeapplication/json
object
Data

Result returned after cleaning one Blueprint demo-data seed set.

object
ApplicationId
string
nullable
SeedSetId
string
nullable
CleanedCount
integer format: int32
SkippedCount
integer format: int32
FailedCount
integer format: int32
Records
Array<object>
nullable

One per-record result from a demo-data cleanup operation.

object
DemoDataRecordId
string
nullable
EntityDefinitionId
string
nullable
EntityInstanceId
string
nullable
DisplayName
string
nullable
Status
integer format: int32
Allowed values: 0 1 2 3
Message
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Records": [
{
"Status": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Result returned after cleaning one Blueprint demo-data seed set.

object
ApplicationId
string
nullable
SeedSetId
string
nullable
CleanedCount
integer format: int32
SkippedCount
integer format: int32
FailedCount
integer format: int32
Records
Array<object>
nullable

One per-record result from a demo-data cleanup operation.

object
DemoDataRecordId
string
nullable
EntityDefinitionId
string
nullable
EntityInstanceId
string
nullable
DisplayName
string
nullable
Status
integer format: int32
Allowed values: 0 1 2 3
Message
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Records": [
{
"Status": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Result returned after cleaning one Blueprint demo-data seed set.

object
ApplicationId
string
nullable
SeedSetId
string
nullable
CleanedCount
integer format: int32
SkippedCount
integer format: int32
FailedCount
integer format: int32
Records
Array<object>
nullable

One per-record result from a demo-data cleanup operation.

object
DemoDataRecordId
string
nullable
EntityDefinitionId
string
nullable
EntityInstanceId
string
nullable
DisplayName
string
nullable
Status
integer format: int32
Allowed values: 0 1 2 3
Message
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Records": [
{
"Status": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}